org.apache.olingo.commons.api.edm.provider

## Class CsdlAction

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlOperation
    - - org.apache.olingo.commons.api.edm.provider.CsdlAction

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlAction
      extends CsdlOperation

  Represents an action CSDL item

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.commons.api.edm.provider.CsdlOperation

      `annotations, entitySetPath, isBound, name, parameters, returnType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CsdlAction` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlAction` | `setBound(boolean isBound)` Sets as bound operation.
    `CsdlAction` | `setEntitySetPath(String entitySetPath)` Sets entity set path.
    `CsdlAction` | `setName(String name)` Sets name.
    `CsdlAction` | `setParameters(List<CsdlParameter> parameters)` Sets parameters.
    `CsdlAction` | `setReturnType(CsdlReturnType returnType)` Sets return type.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlOperation

      `getAnnotations, getEntitySetPath, getName, getParameter, getParameters, getReturnType, isBound`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlAction

          public CsdlAction()

  - ### Method Detail

    - #### setName

          public CsdlAction setName(String name)

      Description copied from class: `CsdlOperation`
      Sets name.
      Overrides:
        `setName` in class `CsdlOperation`
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### setBound

          public CsdlAction setBound(boolean isBound)

      Description copied from class: `CsdlOperation`
      Sets as bound operation.
      Overrides:
        `setBound` in class `CsdlOperation`
      Parameters:
        `isBound` - the is bound
      Returns:
        the bound

    - #### setEntitySetPath

          public CsdlAction setEntitySetPath(String entitySetPath)

      Description copied from class: `CsdlOperation`
      Sets entity set path.
      Overrides:
        `setEntitySetPath` in class `CsdlOperation`
      Parameters:
        `entitySetPath` - the entity set path
      Returns:
        the entity set path

    - #### setParameters

          public CsdlAction setParameters(List<CsdlParameter> parameters)

      Description copied from class: `CsdlOperation`
      Sets parameters.
      Overrides:
        `setParameters` in class `CsdlOperation`
      Parameters:
        `parameters` - the parameters
      Returns:
        the parameters

    - #### setReturnType

          public CsdlAction setReturnType(CsdlReturnType returnType)

      Description copied from class: `CsdlOperation`
      Sets return type.
      Overrides:
        `setReturnType` in class `CsdlOperation`
      Parameters:
        `returnType` - the return type
      Returns:
        the return type

    - #### setAnnotations

          public CsdlAction setAnnotations(List<CsdlAnnotation> annotations)

      Description copied from class: `CsdlOperation`
      Sets a list of annotations
      Overrides:
        `setAnnotations` in class `CsdlOperation`
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.